/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.resources;

import java.io.*;
import java.net.*;
import talon.util.net.URI;
import java.util.*;

import talon.*;
import talon.interfaces.*;
import talon.util.net.*;

/**
 * Mapping which uses a specific directory on disk for resources.
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: DirectoryResourceMapper.java,v 1.5 2002/03/09 22:17:11 burton Exp $
 */
public class DirectoryResourceMapper extends BaseResourceMapper implements ResourceMapper {

    private String directory = null;
        
    public DirectoryResourceMapper( ) {

        this( "/" );

    }

    public DirectoryResourceMapper( String directory ) {

        this.directory = directory;
        
    }
    
    public Resource getResource( URI uri ) throws IOException {

        return getResource( uri.toString() );
        
    }

    public Resource getResource( String path ) throws IOException {

        log( path );
        
        path = getPath( path );

        path = directory + path;
        
        FileURL furl = new FileURL( path );

        furl.require();
        
        return new TalonResource( furl.getURL(), path );
        
    }

}

