/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.resources;

import java.io.*;
import java.util.*;

import talon.*;
import talon.interfaces.*;
import talon.util.net.*;

/**
 * <p>
 * Handles obtaining resources.  This is used for abstraction of ServletContext
 * and ClassLoader resources.
 *
 * <p>
 * These are the follow types of URIs you can pass:
 *
 * - resource:/path/to/resource
 *
 * - /path/to/resource 
 * 
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: ResourceMapper.java,v 1.4 2002/03/09 22:17:11 burton Exp $
 */
public interface ResourceMapper {
    
    public Resource getResource( URI uri ) throws IOException;
    
    public Resource getResource( String path ) throws IOException;

}


