/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.resources;

import java.io.*;
import java.net.*;
import talon.util.net.URI;
import java.util.*;

import talon.*;
import talon.interfaces.*;
import talon.util.net.*;

import javax.servlet.*;

/**
 * Mapping for ServletContext...
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: ServletContextResourceMapper.java,v 1.8 2002/03/09 22:17:11 burton Exp $
 */
public class ServletContextResourceMapper extends BaseResourceMapper implements ResourceMapper {

    private ServletContext context = null;

    /**
     * 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ServletContextResourceMapper.java,v 1.8 2002/03/09 22:17:11 burton Exp $
     */
    public ServletContextResourceMapper( ServletContext context ) {

        this.context = context;
        
    }
    
    /**
     * 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ServletContextResourceMapper.java,v 1.8 2002/03/09 22:17:11 burton Exp $
     */
    public Resource getResource( URI uri ) throws IOException {

        return getResource( uri.toString() );
        
    }

    /**
     * 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ServletContextResourceMapper.java,v 1.8 2002/03/09 22:17:11 burton Exp $
     */
    public Resource getResource( String path ) throws IOException {

        log( path );
        
        path = getPath( path );

        URL resource = context.getResource( path );

        //get the path to this resource on the filesystem.
        String filepath = context.getRealPath( path );

        if ( filepath == null || new File( filepath ).exists() == false )
            throw new IOException( "File does not exit: " + filepath );
                                   
        return new TalonResource( resource, filepath );
        
    }

}

