/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.resources;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.interfaces.*;
import talon.util.net.*;

/**
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: TalonResource.java,v 1.3 2001/12/17 23:55:32 burton Exp $
 */
public class TalonResource implements Resource {

    private URL location = null;

    private String pathTranslated = null;
    
    public TalonResource( URL location, String pathTranslated ) {

        this.location = location;
        this.pathTranslated = pathTranslated;
        
    }

    /**
     * @see Resource
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     */
    public URL getURL() {

        return this.location;

    }

    /**
     * @see Resource
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     */
    public OutputStream getOutputStream() throws IOException {

        return new FileOutputStream( pathTranslated );
        
    }

    /**
     * @see Resource
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     */
    public String getPathTranslated() {

        return this.pathTranslated;
        
    }
    
}

