/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.util;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.util.net.*;

/**
 * Misc utils for working with InputStreams.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: InputStreamUtils.java,v 1.1 2001/06/28 09:14:18 burton Exp $
 */
public class InputStreamUtils {

    public static String toString( InputStream is ) throws IOException {
        
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
      
        //now process the Reader...
        byte data[] = new byte[200];
    
        int readCount = 0;

        while( ( readCount = is.read( data )) > 0 ) {
            
            bos.write( data, 0, readCount );
        }

        is.close();
        bos.close();

        String content = bos.toString();

        return content;

    }
    
}

